from django.urls import path, include

from . import views

urlpatterns = [
  path('', views.index, name='index'),
  path('login/', views.Login.as_view(), name='stammbaum-login'),
  path('logout/', views.logout, name='stammbaum-logout'),
  path('register/', views.register, name='stammbaum-register'),


  path('group/<int:group_id>/', views.index, name='group'),
  path('person/<int:person_id>/thumb/', views.image_preview, name='preview'),

  path('person/<int:person_id>/image/', views.image, name='image'),
  path('person/<int:pk>/upload/', views.UploadImageView.as_view(), name='upload'),
]